> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/help-center/pt-br/produtos-e-recursos/how-to-select-your-proxy-location.md).

# Como selecionar a localização do seu proxy

Aprenda a configurar a localização do seu proxy modificando o parâmetro location em seu nome de usuário.

Para alterar a localização do seu proxy, modifique o parâmetro location em seu username. Isso garante que suas requisições sejam roteadas por um IP da localização selecionada.

Dependendo do seu tipo de proxy, você pode selecionar diferentes níveis de geo-targeting. Para uma lista completa das configurações de localização suportadas, consulte nossa [FAQ de Configurações de Localização](https://faq.oxylabs.info/en/articles/8832436-location-settings-for-proxies).

### Proxies Residenciais & Mobile Proxies <a href="#h_e4626222e6" id="h_e4626222e6"></a>

Especifique um país usando o `cc` parâmetro em seu username. Este parâmetro aceita um código de país de duas letras (formato ISO 3166-1 alpha-2).

Aqui, `cc-DE` garante que a requisição seja roteada pela Alemanha:

```
curl -x pr.oxylabs.io:7777 -U "customer-USERNAME-cc-DE:PASSWORD" https://ip.oxylabs.io/location 
```

Para outros países, substitua `DE` pelo código de país desejado (ex.: `cc-FR` para a França ou `cc-JP` para o Japão).

Você pode usar várias outras configurações de geo-targeting, como segmentação por cidade, estado, continente, coordenadas e ASN. Para mais detalhes, consulte:

* [Residential Proxies](/products/proxies/residential-proxies/location-settings.md)
* [Mobile Proxies](/products/proxies/mobile-proxies/location-settings.md)

### Datacenter Proxies <a href="#h_dd1f53e232" id="h_dd1f53e232"></a>

Para alterar o país, modifique o `país` parâmetro em seu username.

Aqui, `country-US` garante que a solicitação seja processada por meio de um IP de datacenter baseado nos EUA:

```
curl -x dc.oxylabs.io:8000 -U 'user-USERNAME-country-US:PASSWORD' https://ip.oxylabs.io/location
```

Para outros países, substitua `country-US` pelo código de país desejado (ex.: `country-FR` para a França ou `country-JP` para o Japão).

Para mais informações sobre as localizações disponíveis, consulte:

* [Datacenter Proxies](/products/proxies/datacenter-proxies/select-country.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/help-center/pt-br/produtos-e-recursos/how-to-select-your-proxy-location.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
